## sirendec

sirendec

## Types and Values

struct | GstSirenDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstSirenDec

## Description

This decodes audio buffers from the Siren 16 codec (a 16khz extension of G.722.1) that is meant to be compatible with the Microsoft Windows Live Messenger(tm) implementation.

Ref: http://www.polycom.com/company/about_us/technology/siren_g7221/index.html

## Synopsis

### Element Information

plugin | siren
author | Youness Alaoui <kakaroto@kakaroto.homelinux.net>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-siren, dct-length=(int)320

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)16000, channels=(int)1

## Functions

## Types and Values

### struct GstSirenDec

    struct GstSirenDec;